Package com.creditcall.chipdnamobile

# Class TransactionTypeID

java.lang.Object
com.creditcall.chipdnamobile.TransactionTypeID

public class TransactionTypeID extends Object
The possible values returned for TransactionTypeID.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TransactionTypeID`
  `AccountVerification`
  (3) Account Verification
  `static final TransactionTypeID`
  `Auth`
  (0) Authorization
  `static final TransactionTypeID`
  `DeferredAuth`
  (30) Deferred Authorization
  `static final TransactionTypeID`
  `LinkedRefund`
  (1) Linked Refund
  `static final TransactionTypeID`
  `OfflineAuth`
  (4) Offline Authorization
  `static final TransactionTypeID`
  `StandaloneRefund`
  (6) Standalone Refund
  `static final TransactionTypeID`
  `VoiceReferral`
  (5) Voice Referral

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTransactionTypeID()`
  Gets the numeric ID for the transaction type.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Auth

    public static final TransactionTypeID Auth
    (0) Authorization

  - ### LinkedRefund

    public static final TransactionTypeID LinkedRefund
    (1) Linked Refund

  - ### AccountVerification

    public static final TransactionTypeID AccountVerification
    (3) Account Verification

  - ### OfflineAuth

    public static final TransactionTypeID OfflineAuth
    (4) Offline Authorization

  - ### VoiceReferral

    public static final TransactionTypeID VoiceReferral
    (5) Voice Referral

  - ### StandaloneRefund

    public static final TransactionTypeID StandaloneRefund
    (6) Standalone Refund

  - ### DeferredAuth

    public static final TransactionTypeID DeferredAuth
    (30) Deferred Authorization

- ## Method Details

  - ### getTransactionTypeID

    public int getTransactionTypeID()
    Gets the numeric ID for the transaction type.
    Returns:
      numeric ID for the transaction type.